Bug 236848 - x11-clocks/tclock: fix bug drawing hands late when starting in position 0
Summary: x11-clocks/tclock: fix bug drawing hands late when starting in position 0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-28 08:13 UTC by Klaus Aehlig
Modified: 2019-04-11 00:53 UTC (History)
0 users

See Also:


Attachments
patch for x11-clocks/tclock to fix late drawing of hands (3.44 KB, patch)
2019-03-28 08:13 UTC, Klaus Aehlig
aehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Klaus Aehlig 2019-03-28 08:13:42 UTC
Created attachment 203211 [details]
patch for x11-clocks/tclock to fix late drawing of hands

tclock(1) draws a transparent clock; hands are only redrawn if they moved. While this approach is fine in general, it lead to hands being drawn late (the second hand only after a second, the minute hand only after a minute, ...) if they started in position (i.e., if the clock was started at the full minute, full hour, ...). Fix this by setting the initial position to an invalid value, forcing immediate redraw upon startup. Reported and patch provided by Kurt Hackenberg <kh@panix.com>. Bump PORTREVISION, as this fixes a bug in the program.

While there, rearrange sections in the Makefile to make portlint more happy.
Comment 1 Steve Wills freebsd_committer 2019-04-10 21:50:15 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2019-04-11 00:53:48 UTC
A commit references this bug:

Author: swills
Date: Thu Apr 11 00:52:52 UTC 2019
New revision: 498625
URL: https://svnweb.freebsd.org/changeset/ports/498625

Log:
  x11-clocks/tclock: fix drawing bug

  PR:		236848
  Submitted by:	Klaus Aehlig <aehlig@linta.de> (maintainer)

Changes:
  head/x11-clocks/tclock/Makefile
  head/x11-clocks/tclock/files/patch-tclock.c